Subject: [bug#54223] [PATCH] (guix-data-service) Add nl_NL.UTF-8 locale

From: Maxime Devos <[email-masked]>
Date: Sat, 09 Apr 2022 23:03:23 +0200

Christopher Baines schreef op wo 02-03-2022 om 21:19 [+0000]:
> Ideally, the data service would get the list of locales from Guix
> somehow, I'm not sure if that information is available, or quite how
> to make it available, but these hardcoded locale lists are a bit of a
> hack.

Suggestion:

scheme@(guix-user)> (bindtextdomain "guix")
$1 = "/gnu/store/2bbmkgk8x4zqr4gjvb92zgji5d7m70gx-guix-1.3.0-23.a27e47f"

user@host:~$ ls /gnu/store/mp8yfgzxs3ww5kj8rpnkn133pmm16jd6-guix-locale-guix
> cs  da  de  eo  es  fa  fi  fr  hu  it  ko  nl  oc  pl  pt_BR  ru  si   sk  sr  sv  ta  uk  vi  zh_CN

scheme@(guix-user)> (bindtextdomain "guix-packages")
$2 = "/gnu/store/wbljwj8yfpxqgxs79vhxb41s5ypj96xd-guix-locale-guix-packages"
[...]

Greetings,
Maxime.